Bug 1711896 - Review Request: ghc-microlens-mtl - Microlens support for Reader/Writer/State from mtl
Summary: Review Request: ghc-microlens-mtl - Microlens support for Reader/Writer/State...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-20 10:38 UTC by Jens Petersen
Modified: 2019-06-25 01:25 UTC (History)
2 users (show)

Fixed In Version: ghc-microlens-mtl-0.1.11.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-25 01:25:36 UTC
Type: ---
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2019-05-20 10:38:18 UTC
Spec URL: https://petersen.fedorapeople.org//ghc-microlens-mtl.spec
SRPM URL: https://petersen.fedorapeople.org//ghc-microlens-mtl-0.1.11.1-1.fc30.src.rpm

Description:
This package contains functions (like 'view' or '+=') which work on
'MonadReader', 'MonadWriter', and 'MonadState' from the mtl package.

This package is a part of the <http://hackage.haskell.org/package/microlens
microlens> family; see the readme <https://github.com/aelve/microlens#readme on
Github>.

Comment 1 Jens Petersen 2019-05-20 10:38:21 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=34945845

Comment 2 Elliott Sales de Andrade 2019-05-23 02:50:21 UTC
There are some warnings and errors from rpmlint, and I'm not sure if they are important or not:
ghc-microlens-mtl.x86_64: E: library-not-linked-against-libc /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_0_fast
(and several other symbols)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License", "BSD (unspecified)". 3 files have unknown license. Detailed
     output of licensecheck in 1711896-ghc-microlens-mtl/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 634880 bytes in 19 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ghc-
     microlens-mtl
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-microlens-mtl-0.1.11.1-1.fc31.x86_64.rpm
          ghc-microlens-mtl-devel-0.1.11.1-1.fc31.x86_64.rpm
          ghc-microlens-mtl-0.1.11.1-1.fc31.src.rpm
ghc-microlens-mtl.x86_64: W: spelling-error %description -l en_US hackage -> package, hack age, hack-age
ghc-microlens-mtl.x86_64: W: spelling-error %description -l en_US haskell -> Haskell, seashell
ghc-microlens-mtl.x86_64: W: spelling-error %description -l en_US readme -> reamed, remade, read me
ghc-microlens-mtl.x86_64: W: spelling-error %description -l en_US https -> HTTP
ghc-microlens-mtl.x86_64: W: spelling-error %description -l en_US github -> git hub, git-hub, GitHub
ghc-microlens-mtl.x86_64: W: spelling-error %description -l en_US aelve -> leave, delve, helve
ghc-microlens-mtl.x86_64: E: library-not-linked-against-libc /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so
ghc-microlens-mtl.x86_64: W: no-documentation
ghc-microlens-mtl.src: W: spelling-error %description -l en_US hackage -> package, hack age, hack-age
ghc-microlens-mtl.src: W: spelling-error %description -l en_US haskell -> Haskell, seashell
ghc-microlens-mtl.src: W: spelling-error %description -l en_US readme -> reamed, remade, read me
ghc-microlens-mtl.src: W: spelling-error %description -l en_US https -> HTTP
ghc-microlens-mtl.src: W: spelling-error %description -l en_US github -> git hub, git-hub, GitHub
ghc-microlens-mtl.src: W: spelling-error %description -l en_US aelve -> leave, delve, helve
3 packages and 0 specfiles checked; 1 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
ghc-microlens-mtl.x86_64: W: spelling-error %description -l en_US hackage -> package, hack age, hack-age
ghc-microlens-mtl.x86_64: W: spelling-error %description -l en_US haskell -> Haskell, seashell
ghc-microlens-mtl.x86_64: W: spelling-error %description -l en_US readme -> reamed, remade, read me
ghc-microlens-mtl.x86_64: W: spelling-error %description -l en_US https -> HTTP
ghc-microlens-mtl.x86_64: W: spelling-error %description -l en_US github -> git hub, git-hub, GitHub
ghc-microlens-mtl.x86_64: W: spelling-error %description -l en_US aelve -> leave, delve, helve
ghc-microlens-mtl.x86_64: W: invalid-url URL: https://hackage.haskell.org/package/microlens-mtl <urlopen error [Errno -2] Name or service not known>
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_unpt_r1
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_traceMarkerzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_traceEventzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_clearCCSzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_getApStackValzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_unpackClosurezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newBCOzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_mkApUpd0zh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_numSparkszh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_getSparkzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_compactSizzezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_compactAddWithSharingzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_compactAddzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_compactFixupPointerszh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_compactAllocateBlockzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_compactGetNextBlockzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_compactGetFirstBlockzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_compactContainsAnyzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_compactContainszh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_compactResizzezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_compactNewzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_makeStableNamezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_deRefStablePtrzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_makeStablePtrzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_finalizzeWeakzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_deRefWeakzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_addCFinalizzerToWeakzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_mkWeakNoFinalizzerzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_mkWeakzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_threadStatuszh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_noDuplicatezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_isCurrentThreadBoundzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_labelThreadzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_myThreadIdzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_yieldzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_killThreadzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_forkOnzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_forkzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_waitWritezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_waitReadzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_delayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_isEmptyMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_tryReadMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_readMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_tryPutMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_putMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_tryTakeMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_takeMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_writeTVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_readTVarIOzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_readTVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newTVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_checkzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_catchSTMzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_catchRetryzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_retryzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_atomicallyzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_getMaskingStatezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_unmaskAsyncExceptionszh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_maskUninterruptiblezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_maskAsyncExceptionszh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_raiseIOzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_raisezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_catchzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_casMutVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_atomicModifyMutVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newMutVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_copyMutableArrayArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_copyArrayArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newArrayArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_resizzeMutableByteArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_shrinkMutableByteArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_isByteArrayPinnedzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_isMutableByteArrayPinnedzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newAlignedPinnedByteArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newPinnedByteArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_casSmallArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_thawSmallArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_freezzeSmallArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_cloneSmallMutableArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_cloneSmallArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_copySmallMutableArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_copySmallArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_unsafeThawSmallArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_SMALL_MUT_ARR_PTRS_FROZEN0_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_SMALL_MUT_ARR_PTRS_DIRTY_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newSmallArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_casArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_thawArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_freezzeArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_cloneMutableArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_cloneArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_copyMutableArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_copyArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_unsafeThawArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_MUT_ARR_PTRS_FROZEN0_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_MUT_ARR_PTRS_DIRTY_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_decodeFloatzuIntzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_decodeDoublezuInt64zh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_decodeDoublezu2Intzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_v_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newByteArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_pp
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pp_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_noregs
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pp_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_0_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_unbx_r1
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_upd_frame_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so dirty_MUT_VAR
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so newSpark
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_pp
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_bh_upd_frame_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ARR_WORDS_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_0_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_raisezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pv_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_v_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_p_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_shrinkMutableByteArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_resizzeMutableByteArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newByteArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_decodeDoublezuInt64zh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_unpt_r1
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_noregs
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_unbx_r1
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_upd_frame_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so newCAF
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so __int_encodeDouble
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_n_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pppv_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_7_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pppppp_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_makeStableNamezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pppp_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_deRefWeakzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_clearCCSzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so RtsFlags
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_CHARLIKE_closure
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ARR_WORDS_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_tryReadMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_finalizzeWeakzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_addCFinalizzerToWeakzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_v_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newByteArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_decodeFloatzuIntzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so libdwPoolRelease
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so backtraceFree
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_raisezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so enabled_capabilities
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_forkOnzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_checkzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_readTVarIOzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_catchSTMzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_catchRetryzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_mkWeakNoFinalizzerzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_threadStatuszh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_getSparkzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_labelThreadzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_yieldzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_numSparkszh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_waitReadzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newTVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_retryzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_readTVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_atomicallyzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_writeTVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_waitWritezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_delayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_pppp
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_ppp
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_4_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_5_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_6_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_unsafeThawArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newAlignedPinnedByteArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newPinnedByteArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_IND_STATIC_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_traceMarkerzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_traceEventzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sel_1_noupd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sel_0_noupd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_atomicModifyMutVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pppppp_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_MUT_ARR_PTRS_FROZEN0_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newArrayzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_MUT_ARR_PTRS_DIRTY_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_d1
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_f1
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pv_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_ppv_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pppv_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pppp_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_ppppp_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sel_6_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sel_5_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sel_4_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sel_3_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sel_2_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_pp
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_ppv_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_3_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_ppp_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_ppp_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_isEmptyMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_tryTakeMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_tryPutMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_mkWeakzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_noDuplicatezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_readMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_isCurrentThreadBoundzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_unbx_r1
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_takeMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_maskAsyncExceptionszh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_catchzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_putMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_killThreadzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_unmaskAsyncExceptionszh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_forkzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_raiseIOzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_maskUninterruptiblezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_v_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newMVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_getMaskingStatezh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_makeStablePtrzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_newMutVarzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pv_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_myThreadIdzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_noregs
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_deRefStablePtrzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sel_0_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sel_1_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pp_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_p_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_bh_upd_frame_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_2_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_unpt_r1
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pp_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_0_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_p_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_upd_frame_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so newCAF
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so rtsSupportsBoundThreads
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so dirty_MUT_VAR
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so hs_free_stable_ptr
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so suspendThread
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so resumeThread
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so forkOS_createThread
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so rts_lock
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so rts_mkStablePtr
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so rts_apply
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so rts_evalIO
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so rts_checkSchedStatus
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so rts_unlock
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so foreignExportStablePtr
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so freeHaskellFunctionPtr
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so getMonotonicNSec
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so getOrSetGHCConcSignalSignalHandlerStore
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so newSpark
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so rts_getThreadId
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so reportHeapOverflow
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so cmp_thread
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so getNumberOfProcessors
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so reportStackOverflow
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so setNumCapabilities
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so rts_disableThreadAllocationLimit
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so rts_enableThreadAllocationLimit
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so rts_getThreadAllocationCounter
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so rts_setThreadAllocationCounter
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so getFullProgArgv
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so libdwPoolClear
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so libdwPoolTake
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so libdwGetBacktrace
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so libdwLookupLocation
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so unlockFile
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so lockFile
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stopProfTimer
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so startProfTimer
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so hs_spt_lookup
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so hs_spt_keys
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so hs_spt_key_count
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so getRTSStatsEnabled
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so getRTSStats
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so shutdownHaskellAndExit
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so shutdownHaskellAndSignal
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so rts_setMainThread
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sig_install
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so setProgArgv
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so getProgArgv
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so performMajorGC
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so performGC
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so __hscore_get_saved_termios
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so __hscore_set_saved_termios
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so setIOManagerWakeupFd
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so setIOManagerControlFd
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so getOrSetSystemTimerThreadIOManagerThreadStore
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so getOrSetSystemTimerThreadEventManagerStore
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so getOrSetSystemEventThreadIOManagerThreadStore
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so getOrSetSystemEventThreadEventManagerStore
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so setTimerManagerControlFd
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so errorBelch
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so debugBelch
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so getProcessElapsedTime
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so _assertFail
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_ppp_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_ppp_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_bh_upd_frame_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_upd_frame_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_unpt_r1
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pp_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pp_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_2_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_p_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_0_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_ppppp_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_p_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pppp_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sel_1_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sel_0_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sel_2_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pppp_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_noregs
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_pp
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_3_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_4_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so newCAF
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_0_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_p_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_p_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_upd_frame_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_2_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pp_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_ppp_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_raiseIOzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_unpt_r1
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_catchzh
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pp_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_3_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sel_0_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sel_1_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_sel_2_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_3_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_pppp
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_noregs
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pp_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pppp_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_ppp_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_gc_unpt_r1
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_pp_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_2_upd_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_p_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_p_fast
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_upd_frame_info
ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so stg_ap_0_fast
ghc-microlens-mtl.x86_64: E: library-not-linked-against-libc /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so
ghc-microlens-mtl.x86_64: W: no-documentation
ghc-microlens-mtl-devel.x86_64: W: invalid-url URL: https://hackage.haskell.org/package/microlens-mtl <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 1 errors, 365 warnings.



Unversioned so-files
--------------------
ghc-microlens-mtl: /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so

Source checksums
----------------
https://hackage.haskell.org/package/microlens-mtl-0.1.11.1/microlens-mtl-0.1.11.1.tar.gz :
  CHECKSUM(SHA256) this package     : d3e74f46a72aad12b71d8549a98fbc023fb364766f17d75742fb32fee70bdf50
  CHECKSUM(SHA256) upstream package : d3e74f46a72aad12b71d8549a98fbc023fb364766f17d75742fb32fee70bdf50


Requires
--------
ghc-microlens-mtl (rpmlib, GLIBC filtered):
    libHSbase-4.11.1.0-ghc8.4.4.so()(64bit)
    libHSghc-prim-0.5.2.0-ghc8.4.4.so()(64bit)
    libHSmtl-2.2.2-ghc8.4.4.so()(64bit)
    libHStransformers-0.5.5.0-ghc8.4.4.so()(64bit)
    rtld(GNU_HASH)

ghc-microlens-mtl-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc-compiler
    ghc-devel(base-4.11.1.0)
    ghc-devel(microlens-0.4.9.1-Il1wVteoTNOAmlNI3I8KNh)
    ghc-devel(mtl-2.2.2)
    ghc-devel(transformers-0.5.5.0)
    ghc-devel(transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W)
    ghc-microlens-mtl(x86-64)



Provides
--------
ghc-microlens-mtl:
    ghc-microlens-mtl
    ghc-microlens-mtl(x86-64)
    libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so()(64bit)

ghc-microlens-mtl-devel:
    ghc-devel(microlens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5)
    ghc-microlens-mtl-devel
    ghc-microlens-mtl-devel(x86-64)
    ghc-microlens-mtl-doc
    ghc-microlens-mtl-static



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1711896
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Haskell, Generic, C/C++
Disabled plugins: Python, Ocaml, R, fonts, SugarActivity, Java, Perl, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Jens Petersen 2019-05-23 04:43:03 UTC
(In reply to Elliott Sales de Andrade from comment #2)
> There are some warnings and errors from rpmlint, and I'm not sure if they
> are important or not:

I have also seen these before.

> ghc-microlens-mtl.x86_64: E: library-not-linked-against-libc
> /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so

The funny this is that all the Haskell libraries _are_ linked to libc.so.6.
So this one looks like a false positive to me.

> ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol
> /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so
> stg_ap_0_fast
> (and several other symbols)

Yeah a lot ;)
I think this is actually the case for all Haskell packages currently.

These are warnings but yeah I don't really know if there is any serious implication.
Also not sure whether these are appearing due to changes in ghc, rpmlint or other parts of the toolchain.

Comment 4 Elliott Sales de Andrade 2019-05-25 06:46:31 UTC
(In reply to Jens Petersen from comment #3)
> (In reply to Elliott Sales de Andrade from comment #2)
> > There are some warnings and errors from rpmlint, and I'm not sure if they
> > are important or not:
> 
> I have also seen these before.
> 
> > ghc-microlens-mtl.x86_64: E: library-not-linked-against-libc
> > /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so
> 
> The funny this is that all the Haskell libraries _are_ linked to libc.so.6.
> So this one looks like a false positive to me.
> 

No, I don't think they are. For example,

$ objdump -p /usr/lib64/libHSyesod-persistent-1.6.0.1-4wTcHUP28fp5PooyyID5za-ghc8.4.4.so | rg NEEDED
  NEEDED               libHSyesod-core-1.6.9-6xOaXHWVV6P2Pmu1n9koR1-ghc8.4.4.so
  NEEDED               libHSpersistent-2.8.2-IgkIITOhFEIEKjd43DY2bu-ghc8.4.4.so
  NEEDED               libHSresource-pool-0.2.3.2-3qBBkHW6lxy84rjjFQESmN-ghc8.4.4.so
  NEEDED               libHSconduit-1.3.1-JEeOwg0N2ow9OXrSdjm4NY-ghc8.4.4.so
  NEEDED               libHSresourcet-1.2.2-LxoTdCBEv8PKBOJtxNXVvM-ghc8.4.4.so
  NEEDED               libHStransformers-0.5.5.0-ghc8.4.4.so
  NEEDED               libHSbase-4.11.1.0-ghc8.4.4.so
  NEEDED               libHSghc-prim-0.5.2.0-ghc8.4.4.so

> > ghc-microlens-mtl.x86_64: W: undefined-non-weak-symbol
> > /usr/lib64/libHSmicrolens-mtl-0.1.11.1-KuiQwUtjPQq9JoX7IucQt5-ghc8.4.4.so
> > stg_ap_0_fast
> > (and several other symbols)
> 
> Yeah a lot ;)
> I think this is actually the case for all Haskell packages currently.
> 
> These are warnings but yeah I don't really know if there is any serious
> implication.
> Also not sure whether these are appearing due to changes in ghc, rpmlint or
> other parts of the toolchain.

I'll approve though, since it seems this is the status quo, but I think the warnings are not all false.

Comment 5 Jens Petersen 2019-06-12 15:23:21 UTC
Thanks!

I finally finished filing bug 1719810 to investigate and track the above error/warnings.

https://pagure.io/releng/fedora-scm-requests/issue/12398

Comment 6 Gwyn Ciesla 2019-06-12 15:32:18 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-microlens-mtl

Comment 7 Fedora Update System 2019-06-14 03:11:17 UTC
FEDORA-2019-36bef489a8 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-36bef489a8

Comment 8 Fedora Update System 2019-06-15 02:08:37 UTC
ghc-microlens-mtl-0.1.11.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-36bef489a8

Comment 9 Fedora Update System 2019-06-25 01:25:36 UTC
ghc-microlens-mtl-0.1.11.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.